1
Products

Fidelio SoundSphere wireless speakers

with AirPlay DS9830W/10

Frequently Asked Questions

Which iOS version is compatible with my Philips speakers?

For optimal performance of your Philips DS9800W, the recommended iOS version is 4.3 or above.

The information on this page applies to the following models: DS9830W/10 , DS9860W/10 , DS9800W/10 .

Not what you are looking for?